.footer .social-list a {
    color: #000000;
    font-size: 30px;
}

.footer .social-list .fa-facebook:hover {
    color: #5b73a7;
}

.footer .social-list .fa-instagram:hover {
    color: #8f3c3c;
}

.footer {
    background-color: #fff !important;
}

.footer-content {
    max-width: 1500px !important;
    margin: 0 auto;
    padding: 0 15px;
}

p#info {
    padding: 0 !important;
    margin: 0 !important;
    text-align: left;
}

#kontakt-info strong {
    padding-bottom: 10px;
    padding-top: 10px;
    display: block;
}

#kontakt-info > p {
    padding-bottom: 10px;
    padding-top: 10px;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

li {
    margin: 0;
    padding: 0;
}

#kontakt-info {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
}

.left-column {
    display: flex;
    flex: 1;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.center-column {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.right-column {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

.copyright {
    flex: 1;
    text-align: center;
}

/* Desktop: Reorder copyright to center */
@media (min-width: 769px) {
    .footer-content {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    .left-column {
        order: 1;
    }

    .center-column {
        order: 2;
    }

    .right-column {
        order: 3;
    }

    .copyright {
        order: 2;
    }

    .social-list {
        order: 1;
        margin-bottom: 10px;
    }
}

/* Mobile: Stack vertically */
@media (max-width: 768px) {
    .footer-content {
        flex-direction: column;
        align-items: center;
    }

    .left-column, .center-column, .right-column, .copyright, .social-list {
        flex: none;
        margin-bottom: 1rem;
        order: initial; /* Reset order for mobile */
    }

    .right-column {
        justify-content: center;
    }

    .social-list {
		margin: 0 auto !important;
    }

    #kontakt-info {
        align-items: center;
    }

    .center-column {
        order: 3;
		padding-top: 35px;
    }
	
	.copyright > p {
		padding-top: 20px;
	}

}